Do.doc 9.1.2 - AppImage

Bonjour à tou·t·es,

J’essaie de lancer la version 9.1.2 appimage de do.doc, mais rien ne se passe. Je suis sous une version Linux ubuntu 18.04 LTS. La version 8.2.5 ne pose aucun problème.

Avez-vous déjà rencontré ce problème. Il y a peut être un truc à faire.

Merci d’avance pour vos réponses

Bonjour et merci pour le retour,

peut-être en essayant de suivre les instructions ici ?
https://docs.appimage.org/introduction/quickstart.html

En passant par la technique Terminal, y a t’il des messages qui s’affichent dans le terminal au lancement ?

Je travaille souvent avec les appimages et comme je l’ai signalé avec les précédentes version cela fonctionnent.

Voici le résultat quand je lance dans le terminal :

./do.doc-9.1.2.AppImage 
INDEX / didn’t find override settings
A JavaScript error occurred in the main process
Uncaught Exception:
Error: 
Something went wrong installing the "sharp" module

/tmp/.mount_do.docAVvg86/resources/app/node_modules/sharp/build/Release/../../vendor/lib/librsvg-2.so.2: undefined symbol: cairo_font_options_get_variations

- Remove the "node_modules/sharp" directory then run
  "npm install --ignore-scripts=false --verbose" and look for errors
- Consult the installation documentation at https://sharp.pixelplumbing.com/install
- Search for this error at https://github.com/lovell/sharp/issues

    at Object.<anonymous> (/tmp/.mount_do.docAVvg86/resources/app/node_modules/sharp/lib/constructor.js:34:9)
    at Module._compile (internal/modules/cjs/loader.js:1152:30)
    at Object.Module._extensions..js (internal/modules/cjs/loader.js:1173:10)
    at Module.load (internal/modules/cjs/loader.js:992:32)
    at Module._load (internal/modules/cjs/loader.js:885:14)
    at Function.f._load (electron/js2c/asar_bundle.js:5:12694)
    at Module.require (internal/modules/cjs/loader.js:1032:19)
    at require (internal/modules/cjs/helpers.js:72:18)
    at Object.<anonymous> (/tmp/.mount_do.docAVvg86/resources/app/node_modules/sharp/lib/index.js:3:15)
    at Module._compile (internal/modules/cjs/loader.js:1152:30)

merci de l’aide apportée

Je suis sur Ubuntu 20.04 LTS et aucun problème pour le passage à la dernière version 9.1.2.
J’imagine que même en passant par une version intermédiaire ça ne changera pas beaucoup plus que c’est un paquet AppImage…
Mais si besoin de tester sur une version entre la 8 et la 9.1.2 :

en fait j’ai testé toutes les versions 9… donc inférieur pas de souci.

la v9.0.17-dev fonctionne

je ne sais pas d’ou cela peut venir.

Je ne sais pas s’il est possible de faire un flatpak

C’est uniquement la dernière qui pose problème ?

A partir de la 9.1 que ca ne demarre plus :frowning:

Bon, clairement c’est sharp (le moteur qui génère des images d’aperçu) qui fait des siennes.
Je suis passé sur la version 0.25.4 il y a 6 mois : CODE: bumped sharp version · l-atelier-des-chercheurs/dodoc@8d30898 · GitHub

Sur mon Ubuntu 18.04 ça marche sans soucis, mais c’est très probablement ça la raison.
Je vais voir si en montant à la dernière version de sharp ça marche pas mieux, sinon etour à la 0.23.4

PS. merci pour le debug, c’est parfait :slight_smile:

Voici une version compilée avec la dernière version de sharp (qui passe chez moi sur Ubuntu 18.04).
http://files.latelier-des-chercheurs.fr/do•doc-9.1.2-DEBUG_SHARP_LATEST.AppImage

Sur Ubuntu 20.04 ça marche encore

Hello, je viens de tester ma version debug SHARP et … ???

Ca fonctionne, je vais pouvoir tester les différentes fonctionnalités :wink:

merci

1 J'aime

Une version sur mesure :wink:
Et depuis la 9.0.17 il y a eu un grand nombre d’améliorations !

La prochaine fois que je viens sur la Belgique à Fleurus, j’essaie de faire un tour par le Fab-c :wink:

Superbe ! Ouf.
Je corrige le fichier rapidement.

Et je passerai faire un coucou avec plaisir aussi :slight_smile:

merci pour le coup de main

tu es le bienvenue. Envoie moi un mail et je t’enverrai le code d’accès pour rentrer dans le batiment :wink:

à bientôt

1 J'aime

vous êtes tous les bienvenus :wink:

1 J'aime

Mise à jour du sujet Do•doc version 9
et de Release do•doc 9.1.2 · l-atelier-des-chercheurs/dodoc · GitHub
avec do•doc-9.1.2.AppImage, qui est la version corrigée et testée par @AnonSylDen .